summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorhorsemanoffaith2016-04-01 22:38:24 -0700
committerhorsemanoffaith2016-04-01 22:38:24 -0700
commit01b8eba2581b4f23dbbc625e9179f3fbd9cdb9a8 (patch)
tree748f3eee207a12508b5653602777396e09276ef9
parent205d2069a0e3f7160b112d0403b0232aa4256b57 (diff)
downloadaur-01b8eba2581b4f23dbbc625e9179f3fbd9cdb9a8.tar.gz
Update to version 1.18.0
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD27
2 files changed, 16 insertions, 29 deletions
diff --git a/.SRCINFO b/.SRCINFO
index a812f889f21..58a242815fb 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,6 @@
-# Generated by makepkg 4.2.1
-# Sat May 30 00:47:51 UTC 2015
pkgbase = lightdm-ubuntu
pkgdesc = A lightweight display manager
- pkgver = 1.15.0
+ pkgver = 1.18.0
pkgrel = 1
url = https://launchpad.net/lightdm
install = lightdm.install
@@ -14,7 +12,7 @@ pkgbase = lightdm-ubuntu
makedepends = gnome-common
makedepends = gobject-introspection
makedepends = gtk-doc
- makedepends = gtk3
+ makedepends = gtk3-ubuntu
makedepends = intltool
makedepends = qt4
makedepends = qt5-base
@@ -29,15 +27,15 @@ pkgbase = lightdm-ubuntu
optdepends = lightdm-unity-greeter: Default Ubuntu 13.04 Greeter
optdepends = qt4: To use the qt4 version of liblightdm-qt
optdepends = qt5-base: To use the qt5 version of liblightdm-qt
- provides = lightdm=1.15.0
- provides = liblightdm-qt4=1.15.0
+ provides = lightdm=1.18.0
+ provides = liblightdm-qt4=1.18.0
conflicts = lightdm
conflicts = liblightdm-qt4
options = emptydirs
backup = etc/lightdm/keys.conf
backup = etc/lightdm/lightdm.conf
backup = etc/lightdm/users.conf
- source = https://launchpad.net/ubuntu/+archive/primary/+files/lightdm_1.15.0-0ubuntu1.tar.gz
+ source = https://launchpad.net/ubuntu/+archive/primary/+files/lightdm_1.18.0-0ubuntu1.tar.gz
source = lightdm.service
source = lightdm.tmpfiles.d
source = lightdm.pam
@@ -45,16 +43,14 @@ pkgbase = lightdm-ubuntu
source = lightdm-greeter.pam
source = lightdm.rules
source = 0001-guest-account-Use-cross-distro-commands.patch
- source = 0002-guest-account-Add-default-GSettings-support.patch
- sha512sums = d0ef9d4066c2f23db87a57c239e8ddea05c427e103e42ecf9b58b4d16e856ba93a89f6348c144f0b5cb31ae41341623c7d6b079539fa76e239d3d9a77cf88082
+ sha512sums = a0d203c0acdcd6bbc068341bea847d1b7a037b8d361357197933a2413438282da705e40b637f7cbc34aeeb0920d0518df1c5e6019ffae4c6cd33d59a743cf4d8
sha512sums = 26bb333e58ee63a6a0d472bb0a7f9006b93c7de629780399b1dff4af3aaccea02aa74ed0410b8fa6ba55b285f7c7bb6180db059928feba56f779c5b8f3ba8b86
sha512sums = 81a76a49eb208b1d33f5ac0184d87a377cd37c522d74a93ccd3d96b3d6e32c44872a65873b91fec3daba0846cdb5a938b51944697e636c045d03259bd5424644
sha512sums = 1067bcb25b6d6d01256b176b5854d1ace700ba2b7323b4af257aa95d2f47d5043ac22811f65e99f1e961772cd1e81c153ef69b162918827bd9d7d50d458908df
sha512sums = 6f59d97515b37d53fb4f56de0f65994710e02c197c6d4c096aa7cdb9fe518d29223960018ae4ad8003056fed3210f47f3aa459c85b8efca80089f2046196892c
sha512sums = 3b482f7e551df20a5c5d9331a420275d1dad5bb6aad287247baea82dc40dc31dca22db4da180fbb950865e37cf94f1737fa1ee7ec2f5233540f82f2f570a408b
sha512sums = 8d6aa12c4d129c25e56ecf2904db4e294d46631d11bd8bec2f20a76c871ba758094abb24616d3d2038a684fbb736ee61d1f80697d525d62c4dc68113e101194f
- sha512sums = 490eef8c2136ebe6525ef09e5b7ee15d2b78827538f1d4c9c4c5f2f1175d4d1d097ff57fac4ce880ceb2cfe9a810431f82625a8712c6d9306bbaf3ad5ceae742
- sha512sums = 8a9e280bc4b60cfd9c48097878542b1005c7f3b3345296e448b3cd19987f0e51975518eb33b4c228a4d79701f57621b43cdb81f58662cb51d70d1bb9f4a3cf41
+ sha512sums = 67c32e5d0865efd6d8a8bad42efa52eaa36ad4ec5c31e083edb908a5ef5ff489905ca34a46714d83e2875dcc5c96606d63d1c42fad3e555b48cbc6bd9f559ead
pkgname = lightdm-ubuntu
diff --git a/PKGBUILD b/PKGBUILD
index 521a8863f6d..4d9948d3ea5 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,16 +1,16 @@
-# Maintainer: Xiao-Long Chen <chenxiaolong@cxl.epac.to>
+# Maintainer: Michael Healy <horsemanoffaith@gmail.com>
# This package no longer depends on a specific toolkit. It will build the GTK and
# Qt libraries and recommend the installation of those respective tookits using
# optdepends.
# vercheck-pkgbuild: auto
-# vercheck-ubuntu: name=${pkgname%-*}, repo=vivid
+# vercheck-ubuntu: name=${pkgname%-*}, repo=xenial
# vercheck-launchpad: name=${pkgname%-*}
pkgname=lightdm-ubuntu
_ubuntu_rel=0ubuntu1
-pkgver=1.15.0
+pkgver=1.18.0
pkgrel=1
pkgdesc="A lightweight display manager"
arch=(i686 x86_64)
@@ -21,7 +21,7 @@ groups=(unity)
depends=(libgcrypt libxcb libxdmcp libxklavier)
# Useful dependencies, but not required
#depends=('gnome-themes-standard' 'gnome-backgrounds' 'gnome-icon-theme' 'webkitgtk3')
-makedepends=(gnome-common gobject-introspection gtk-doc gtk3 intltool qt4 qt5-base yelp-tools)
+makedepends=(gnome-common gobject-introspection gtk-doc gtk3-ubuntu intltool qt4 qt5-base yelp-tools)
optdepends=('accountsservice: DBus interface for querying user information'
'gnome-keyring: For pam_gnome_keyring.so in the greeter PAM config'
'gtk3: For using the GTK greeter'
@@ -35,26 +35,22 @@ backup=(etc/lightdm/keys.conf
etc/lightdm/lightdm.conf
etc/lightdm/users.conf)
install=lightdm.install
-source=(#"https://launchpad.net/ubuntu/+archive/primary/+files/lightdm_${pkgver}.orig.tar.gz"
- #"https://launchpad.net/ubuntu/+archive/primary/+files/lightdm_${pkgver}-${_ubuntu_rel}.diff.gz"
- "https://launchpad.net/ubuntu/+archive/primary/+files/lightdm_${pkgver}-${_ubuntu_rel}.tar.gz"
+source=("https://launchpad.net/ubuntu/+archive/primary/+files/lightdm_${pkgver}-${_ubuntu_rel}.tar.gz"
lightdm.service
lightdm.tmpfiles.d
lightdm.pam
lightdm-autologin.pam
lightdm-greeter.pam
lightdm.rules
- 0001-guest-account-Use-cross-distro-commands.patch
- 0002-guest-account-Add-default-GSettings-support.patch)
-sha512sums=('d0ef9d4066c2f23db87a57c239e8ddea05c427e103e42ecf9b58b4d16e856ba93a89f6348c144f0b5cb31ae41341623c7d6b079539fa76e239d3d9a77cf88082'
+ 0001-guest-account-Use-cross-distro-commands.patch)
+sha512sums=('a0d203c0acdcd6bbc068341bea847d1b7a037b8d361357197933a2413438282da705e40b637f7cbc34aeeb0920d0518df1c5e6019ffae4c6cd33d59a743cf4d8'
'26bb333e58ee63a6a0d472bb0a7f9006b93c7de629780399b1dff4af3aaccea02aa74ed0410b8fa6ba55b285f7c7bb6180db059928feba56f779c5b8f3ba8b86'
'81a76a49eb208b1d33f5ac0184d87a377cd37c522d74a93ccd3d96b3d6e32c44872a65873b91fec3daba0846cdb5a938b51944697e636c045d03259bd5424644'
'1067bcb25b6d6d01256b176b5854d1ace700ba2b7323b4af257aa95d2f47d5043ac22811f65e99f1e961772cd1e81c153ef69b162918827bd9d7d50d458908df'
'6f59d97515b37d53fb4f56de0f65994710e02c197c6d4c096aa7cdb9fe518d29223960018ae4ad8003056fed3210f47f3aa459c85b8efca80089f2046196892c'
'3b482f7e551df20a5c5d9331a420275d1dad5bb6aad287247baea82dc40dc31dca22db4da180fbb950865e37cf94f1737fa1ee7ec2f5233540f82f2f570a408b'
'8d6aa12c4d129c25e56ecf2904db4e294d46631d11bd8bec2f20a76c871ba758094abb24616d3d2038a684fbb736ee61d1f80697d525d62c4dc68113e101194f'
- '490eef8c2136ebe6525ef09e5b7ee15d2b78827538f1d4c9c4c5f2f1175d4d1d097ff57fac4ce880ceb2cfe9a810431f82625a8712c6d9306bbaf3ad5ceae742'
- '8a9e280bc4b60cfd9c48097878542b1005c7f3b3345296e448b3cd19987f0e51975518eb33b4c228a4d79701f57621b43cdb81f58662cb51d70d1bb9f4a3cf41')
+ '67c32e5d0865efd6d8a8bad42efa52eaa36ad4ec5c31e083edb908a5ef5ff489905ca34a46714d83e2875dcc5c96606d63d1c42fad3e555b48cbc6bd9f559ead')
prepare() {
cd "lightdm-${pkgver}"
@@ -71,13 +67,8 @@ prepare() {
patch -p1 -i "debian/patches/${i}"
done
- # Do not depend on Debian/Ubuntu specific adduser package
+ # Do not depend on Debian/Ubuntu specific adduser package
patch -p1 -i ../0001-guest-account-Use-cross-distro-commands.patch
-
- # Add support for settings GSettings/dconf defaults in the guest session. Just
- # put the files in /etc/guest-session/gsettings/. The file format is the same
- # as the regular GSettings override files.
- patch -p1 -i ../0002-guest-account-Add-default-GSettings-support.patch
}
build() {